Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
articleheaderlist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $ImageDir = $ini->variable( "eZArticleMain", "ImageDir" )
if(!is_numeric( $CategoryID)) | $GlobalSectionID = eZArticleCategory::sectionIDStatic( $CategoryID )
| $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )
| $t
| $category = new eZArticleCategory( $CategoryID )
| $pathArray = $category->path()
foreach( $pathArray as $path) | $categoryList = $category->getByParent( $category )
| $i =0
if( $CategoryID==0) | else
| $locale = new eZLocale( $Language )

## Variable Documentation

## ◆ $category

$category = new eZArticleCategory( $CategoryID )

Definition at line 76 of file articleheaderlist.php.

## ◆ $categoryList

foreach ($pathArray as $path) $categoryList = $category->getByParent( $category )

Definition at line 94 of file articleheaderlist.php.

## ◆ $GlobalSectionID

if (!is_numeric($CategoryID)) $GlobalSectionID = eZArticleCategory::sectionIDStatic( $CategoryID )

Definition at line 47 of file articleheaderlist.php.

## ◆ $i

$i =0

Definition at line 98 of file articleheaderlist.php.

## ◆ $ImageDir

$ImageDir = $ini->variable( "eZArticleMain", "ImageDir" )

Definition at line 39 of file articleheaderlist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 37 of file articleheaderlist.php.

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 38 of file articleheaderlist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 148 of file articleheaderlist.php.

## ◆ $pathArray

$pathArray = $category->path()

Definition at line 82 of file articleheaderlist.php.

## ◆ $sectionObject

$sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )

Definition at line 49 of file articleheaderlist.php.

Referenced by ezpbKernelWeb\run().

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezarticle/user/" . $ini->variable( "eZArticleMain", "TemplateDir" ),
"kernel/ezarticle/user/intl/", $Language, "articleheaderlist.php" )
$Language
$Language
Definition: articleheaderlist.php:38
$ini
$ini
Definition: articleheaderlist.php:37
eZTemplate
Definition: eztemplate.php:107

Definition at line 52 of file articleheaderlist.php.

## ◆ else

if ($CategoryID==0) else

Initial value:
{
$articleList = $category->articles( $SortMode, false, true )
$category
$category
Definition: articleheaderlist.php:76
$articleList
$articleList
Definition: pendinglist.php:112

Definition at line 143 of file articleheaderlist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.